package cz.senslog.connector.model.analytics;

import java.time.OffsetDateTime;

public class Observation {

    private final long unitId;
    private final long sensorId;
    private final OffsetDateTime timestamp;
    private final double observedValue;

    public Observation(long unitId, long sensorId, OffsetDateTime timestamp, double observedValue) {
        this.unitId = unitId;
        this.sensorId = sensorId;
        this.timestamp = timestamp;
        this.observedValue = observedValue;
    }

    public long getUnitId() {
        return unitId;
    }

    public long getSensorId() {
        return sensorId;
    }

    public OffsetDateTime getTimestamp() {
        return timestamp;
    }

    public double getObservedValue() {
        return observedValue;
    }
}
